#pragma once

#include <QMainWindow>
#include <qmainwindow.h>

#include "mdemList.h"

enum PracticeAlgorithm {
	PRIMARY,
	RANDOM,
	SPACED,
};

void initiatePractice(
	MdemBuffer        *mdemBuffer,
	PracticeAlgorithm  algorithm
);

void hideQuestionElements();
QMainWindow *initTrainWindow();
